#include <bits/stdc++.h>
using namespace std;

int main()
{
	int n; cin>>n;
	int a[n];
	int c[10];
	for(int i=0; i<10; ++i) c[i]=0;
	for(int i=0; i<n; ++i) {cin>>a[i]; c[a[i]]++;}
	int maxi=-1,imax=-1,l=-1,r=-1;
	for(int i=n-1; i>=0; --i) {
        if(a[i]>maxi) maxi=a[i],imax=i;
        else if(a[i]<maxi) l=i, r=imax;
	}
	if(l+1) swap(a[l],a[r]);
	else {
        bool ind=true;
        for(int i=0; i<10; ++i) {
            if(c[i]>1) {ind=false; break; }
        }
        if(ind) swap(a[n-1],a[n-2]);
	}
	for(int i=0; i<n; ++i) cout<<a[i]<<" ";
}